var exports = module.exports = {};

var utterances = require('alexa-utterances');

function compile(input, callback)
{
    var output = [];

    input.forEach(function(intent)
    {
        intent.utterances.forEach(function(phrase)
        {
            var result = utterances(phrase.template, phrase.slots, phrase.dictionary);

            result.forEach(function(utterance)
            {
                output.push(utterance);
            });
        });
    });

    callback(output);
}

exports.compile = compile;