var intent = {
   utterances: [] 
};

// Phrases like: 'What restaurants are nearby in city?'
intent.utterances.push({
    dictionary: {
        beginFragment: [
            'what restaurants are'
            ,'what places to eat are'
            ,'where can I eat'
            ,'are there restaurants'
            ,'where is food'
            ,'what restaurants are there'
            ,'will I be able to eat'
            ,'can I eat'
            ,'where can I get a bite to eat'
        ],
        midFragment: [
            'nearby'
            ,'around'
            ,'close by'
            ,'near'
            ,'here'
        ]
    },
    slots : {},
    template : 'GetNearbySitesIntent {beginFragment} {midFragment}'
});

intent.utterances.push({
    dictionary: {
        beginFragment: [
            'what restaurants are'
            ,'what places to eat are'
            ,'where can I eat'
            ,'are there restaurants'
            ,'where is food'
            ,'what restaurants are there'
            ,'will I be able to eat'
            ,'can I eat'
            ,'where can I get a bite to eat'
        ],
        midFragment: [
            'nearby '
            ,'nearby in '
            ,'nearby at '
            ,'around '
            ,'around in '
            ,'around at '
            ,'close by '
            ,'close by in '
            ,'close by at '
            ,'near '
            ,'within '
            ,'in '
            ,'at '
        ]
    },
    slots : {},
    template : 'GetNearbySitesIntent {beginFragment} {midFragment}{-|City}'
});

module.exports = intent;