var intent = {
   utterances: [] 
};

// Phrases like: 'How long is the wait?'
intent.utterances.push({
    dictionary : { 
        prefix: [ 'what is the', 'how long is', 'how long for' ]
        ,subject: [ 'wait time', 'wait', 'time to be seated', 'table availability', 'availability' ]
        //,restaurantName: [ 'RestaurantName' ]
    },
    slots : { 
        //RestaurantName: 'LITERAL' 
    },
    template : 'GetWaitTimeIntent {prefix} {subject} {at|at the} {-|RestaurantName}'
});

// Phrases like: 'How long is the wait?'
intent.utterances.push({
    dictionary : { 
        prefix: [ 'what is the', 'how long is', 'how long for' ]
        ,subject: [ 'wait time', 'wait', 'time to be seated', 'table availability', 'availability' ]
        //,restaurantName: [ 'RestaurantName' ]
    },
    slots : { 
        //RestaurantName: 'LITERAL' 
    },
    template : 'GetWaitTimeIntent {prefix} {subject} {at|at the} {-|RestaurantName} {in|near|near in|near at|nearby|around|around in|around at|at|close by|close by in|close by at} {-|City}'
});

// Phrases like: 'Can I be seated at restaurant?'
intent.utterances.push({
    dictionary: {},
    slots : {},
    template : 'GetWaitTimeIntent {when |how soon |}can I {seat at|be seated at|eat at|get a table at|go to} {-|RestaurantName}'
});

module.exports = intent;