var manager = require('./lib/utterancemanager.js')
, fs = require('fs');

var utteranceConfigs = [
    require('./lib/utterances/getwaittimeintent.js')
    ,require('./lib/utterances/getnearbysitesintent.js')
    ,require('./lib/utterances/tellcityintent.js')
    ,require('./lib/utterances/nointent.js')
];

manager.compile(utteranceConfigs, function(utterances)
{
    var output = '';

    for ( i = 0; i < utterances.length; i++ ){ 
        output += utterances[i] + '\n';
    }

    fs.writeFile('utterances.txt', output, function (err) {
        if (err) return console.log(err);
        console.log('utterances.txt written');
    });      
});